# ACEXML_Element_Tree_Name_Node Class Reference

An abstract base class for describing a name node in a DTD child element definition. More...

`#include <parser/debug_validator/Element_Tree.h>`

Inheritance diagram for ACEXML_Element_Tree_Name_Node:

[legend]
Collaboration diagram for ACEXML_Element_Tree_Name_Node:

[legend]
List of all members.

## Public Member Functions

| ACEXML_Element_Tree_Name_Node (const ACEXML_Char *name, int release=1)
| Constructor.
void | set (const ACEXML_Char *name, int release=1)
| Change the name of this node.
virtual void | dump ()
| Displaying the content.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE

## Protected Attributes

ACEXML_String | name_

## Detailed Description

An abstract base class for describing a name node in a DTD child element definition.

See also:
  ACEXML_Element_Tree_Node, ACEXML_Element_Tree_List_Node

## Constructor & Destructor Documentation

ACEXML_INLINE ACEXML_Element_Tree_Name_Node::ACEXML_Element_Tree_Name_Node | ( | const ACEXML_Char * | name,
|  | int | release = `1`
| ) |

| Constructor.

## Member Function Documentation

void ACEXML_Element_Tree_Name_Node::dump | ( |  | ) | `[virtual]`

| Displaying the content. Implements ACEXML_Element_Tree_Node.

ACEXML_INLINE void ACEXML_Element_Tree_Name_Node::set | ( | const ACEXML_Char * | name,
|  | int | release = `1`
| ) |

| Change the name of this node.

## Member Data Documentation

ACEXML_Element_Tree_Name_Node::ACE_ALLOC_HOOK_DECLARE

| Reimplemented from ACEXML_Element_Tree_Node.

ACEXML_String ACEXML_Element_Tree_Name_Node::name_`[protected]`

The documentation for this class was generated from the following files:

- Element_Tree.h
- Element_Tree.cpp
- Element_Tree.i